Page MenuHomePhabricator

Scribunto console sometimes added inside wikieditor
Closed, ResolvedPublic

Description

The console of Scribunto is always placed directly after the wpTextbox1, upon document ready. This means that there is a race condition with the setup of WikiEditor, which also manipulates the space around the textbox. Because of this sometimes, the entire console is placed inside the WikiEditor.

In this new async end of page loading times, the module will have to be aware of this potential clash and counter it.. somehow...

Event Timeline

TheDJ created this task.Aug 24 2015, 3:21 PM
TheDJ raised the priority of this task from to Needs Triage.
TheDJ updated the task description. (Show Details)
TheDJ added a subscriber: TheDJ.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 24 2015, 3:21 PM
TheDJ added a comment.Aug 24 2015, 3:24 PM

See also: a screenshot of that condition

Note potentially, CodeEditor exerts some influence here as well ?

Anomie added a subscriber: Anomie.Aug 24 2015, 4:23 PM

The console of Scribunto is always placed directly after the wpTextbox1, upon document ready.

Not always: for most pages the EditPageBeforeEditChecks inserts a <div id="mw-scribunto-console"></div> which Scribunto uses in preference to looking for wpTextbox1.

For read-only pages, though, there isn't any equivalent hook that could be used (unless one has been added recently?), which is why it has the fallback to wpTextbox1.

Change 233603 had a related patch set uploaded (by TheDJ):
(Do Not Submit) Add mw-scribunto-console placeholder to view source page

https://gerrit.wikimedia.org/r/233603

Change 233603 merged by jenkins-bot:
Add mw-scribunto-console placeholder to view source page

https://gerrit.wikimedia.org/r/233603

Anomie closed this task as Resolved.Sep 1 2015, 4:54 PM
Anomie assigned this task to TheDJ.
Anomie set Security to None.
GOIII moved this task from Backlog to Closed on the WikiEditor board.Apr 3 2016, 9:03 AM